Subject: Re: ps/object-info-bits-cleanup (was: What's cooking in git.git (Feb 2026, #04))

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 11 Feb 2026 15:23:03 +0100

On Tue, Feb 10, 2026 at 02:21:34PM -0800, Junio C Hamano wrote:
> * ps/object-info-bits-cleanup (2026-01-26) 3 commits
>  - odb: drop gaps in object info flag values
>  - builtin/fsck: fix flags passed to `odb_has_object()`
>  - builtin/backfill: fix flags passed to `odb_has_object()`
> 
>  A couple of bugs in use of flag bits around odb API has been
>  corrected, and the flag bits reordered.
> 
>  Comments?
>  source: <[email-masked]>

The discussion on this series has wound down by now, but I'm not sure
whether anything actionable came out of it. The biggest question was
around whether or not to use an enum as parameter or an unsigned
integer, but there wasn't really a clear conclusion.

Should I reroll this series to convert it to an enum, or should I keep
this as-is and then we can merge this series down?

Thanks!

Patrick